<project xmlns="http://maven.apache.org/POM/4.0.0"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<parent>
		<groupId>br.com.esilvasoft.geradorestrutural</groupId>
		<artifactId>gerador-estrutural-bom</artifactId>
		<version>1.0.0</version>
	</parent>
	<artifactId>gerador-estrutural-main</artifactId>

	<dependencies>
		<dependency>
			<groupId>br.com.esilvasoft.geradorestrutural</groupId>
			<artifactId>gerador-estrutural-processador</artifactId>
		</dependency>
		<dependency>
			<groupId>br.com.esilvasoft.geradorestrutural</groupId>
			<artifactId>gerador-estrutural-modelo</artifactId>
		</dependency>
		<dependency>
			<groupId>br.com.esilvasoft.geradorestrutural</groupId>
			<artifactId>gerador-estrutural-processador-impl</artifactId>
			<scope>runtime</scope>
		</dependency>
		
		<dependency>
			<groupId>io.quarkus</groupId>
			<artifactId>quarkus-core</artifactId>
		</dependency>
		<dependency>
			<groupId>io.quarkus</groupId>
			<artifactId>quarkus-vertx-core</artifactId>
		</dependency>
		
		<dependency>
			<groupId>io.quarkus</groupId>
			<artifactId>quarkus-jackson</artifactId>
		</dependency>

		<dependency>
			<groupId>org.apache.ant</groupId>
			<artifactId>ant</artifactId>
		</dependency>

	</dependencies>

	<build>
		<plugins>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-compiler-plugin</artifactId>
			</plugin>
			<plugin>
				<groupId>io.quarkus</groupId>
				<artifactId>quarkus-maven-plugin</artifactId>
				<executions>
					<execution>
						<goals>
							<goal>build</goal>
						</goals>
					</execution>
				</executions>
			</plugin>
		</plugins>
	</build>

	<profiles>
		<profile>
			<id>native</id>
			<properties>
				<quarkus.package.type>native</quarkus.package.type>
				<quarkus.native.additional-build-args>-H:ResourceConfigurationFiles=resources-config.json</quarkus.native.additional-build-args>
			</properties>
		</profile>
	</profiles>

</project>